[youtubei.js](../../../../README.md) / [LZW](../README.md) / decompress

# Function: decompress()

> **decompress**(`input`): `string`

Defined in: [src/utils/LZW.ts:40](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/LZW.ts#L40)

Decompresses data that was compressed using the LZW compression algorithm.

## Parameters

### input

`string`

The data to be decompressed.

## Returns

`string`
